
Ruby - Bug #13509

Ruby 2.4.1 Fails to Compile on Raspberry Pi 3, Raspbian

04/26/2017 05:45 AM - martin_vahi (Martin Vahi)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.4.1 Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

The console session:

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ uname -a

Linux acstorage3334 4.4.50-v7+ #970 SMP Mon Feb 20 19:18:29 GMT 2017 armv7l GNU/Linux

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ echo $CC

gcc

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ echo $XX

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ which gcc

/usr/bin/gcc

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ which g++

/usr/bin/g++

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ gcc -v

Using built-in specs.

COLLECT_GCC=gcc

COLLECT_LTO_WRAPPER=/usr/lib/gcc/arm-linux-gnueabihf/4.9/lto-wrapper

Target: arm-linux-gnueabihf

Configured with: ../src/configure -v --with-pkgversion='Raspbian 4.9.2-10' --with-bugurl=file:///u

sr/share/doc/gcc-4.9/README.Bugs --enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=

/usr --program-suffix=-4.9 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --withou

t-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.9 --libdir=/us

r/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdc

xx-time=yes --enable-gnu-unique-object --disable-libitm --disable-libquadmath --enable-plugin --wi

th-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=

/usr/lib/jvm/java-1.5.0-gcj-4.9-armhf/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java

-1.5.0-gcj-4.9-armhf --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.9-armhf --with-arch-

directory=arm --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch -

-disable-sjlj-exceptions --with-arch=armv6 --with-fpu=vfp --with-float=hard --enable-checking=rele

ase --build=arm-linux-gnueabihf --host=arm-linux-gnueabihf --target=arm-linux-gnueabihf

Thread model: posix

gcc version 4.9.2 (Raspbian 4.9.2-10) 

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ g++ -v

Using built-in specs.

COLLECT_GCC=g++

COLLECT_LTO_WRAPPER=/usr/lib/gcc/arm-linux-gnueabihf/4.9/lto-wrapper

Target: arm-linux-gnueabihf

Configured with: ../src/configure -v --with-pkgversion='Raspbian 4.9.2-10' --with-bugurl=file:///u

sr/share/doc/gcc-4.9/README.Bugs --enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=

/usr --program-suffix=-4.9 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --withou

t-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.9 --libdir=/us

r/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdc

xx-time=yes --enable-gnu-unique-object --disable-libitm --disable-libquadmath --enable-plugin --wi

th-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=

/usr/lib/jvm/java-1.5.0-gcj-4.9-armhf/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java

-1.5.0-gcj-4.9-armhf --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.9-armhf --with-arch-

directory=arm --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch -

-disable-sjlj-exceptions --with-arch=armv6 --with-fpu=vfp --with-float=hard --enable-checking=rele

ase --build=arm-linux-gnueabihf --host=arm-linux-gnueabihf --target=arm-linux-gnueabihf

Thread model: posix

gcc version 4.9.2 (Raspbian 4.9.2-10) 

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ ./configu

07/18/2025 1/3



re --prefix=/home/mmmv_applications_set_01/applications/Ruby/v_2_4_1  --with-jemalloc --enable-mul

tiarch --enable-shared

checking for ruby... /usr/bin/ruby

config.guess already exists

config.sub already exists

checking build system type... armv7l-unknown-linux-gnueabihf

checking host system type... armv7l-unknown-linux-gnueabihf

checking target system type... armv7l-unknown-linux-gnueabihf

checking whether the C compiler works... *** Error in `gcc': double free or corruption (top): 0x00

a15620 ***

no

configure: error: in `/home/mmmv_applications_set_01/applications/Ruby/originals/kompil/ruby-2.4.1

':

configure: error: C compiler cannot create executables

See `config.log' for more details

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ which rub

y

/usr/bin/ruby

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ ruby --ve

rsion

ruby 2.1.5p273 (2014-11-13) [arm-linux-gnueabihf]

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $ date

Wed Apr 26 08:35:21 EEST 2017

mmmv_applications_set_01@acstorage3334:~/applications/Ruby/originals/kompil/ruby-2.4.1 $

History

#1 - 04/26/2017 05:55 AM - martin_vahi (Martin Vahi)

- File config.log added

If the CXX=="clang++" and CC=="clang", then the configure step completes.

#2 - 04/26/2017 06:00 AM - martin_vahi (Martin Vahi)

- File 2017_04_26_BUG_Ruby_v_2_4_1_Fails_2_Compile_on_Raspberry_Pi_3_LLVM_session.txt added

The LLVM based console session, where the configure step

completes, but make step fails.

#3 - 04/26/2017 06:02 AM - martin_vahi (Martin Vahi)

- File config.log.with_LLVM.txt added

#4 - 04/26/2017 06:07 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Third Party's Issue

configure: error: C compiler cannot create executables

 It's your compiler who's dying.  Report this to Raspbian.

#5 - 04/26/2017 06:10 AM - martin_vahi (Martin Vahi)

shyouhei (Shyouhei Urabe) wrote:

configure: error: C compiler cannot create executables

 It's your compiler who's dying.  Report this to Raspbian.

 Does that also apply to the LLVM based session that

does not have such an error message?

#6 - 04/26/2017 12:02 PM - martin_vahi (Martin Vahi)
It does seem to be able to compile with

GCC, if the CFLAGS=="" and

./configure --prefix=/home/mmmv_applications_set_01/applications/Ruby/v_2_4_1  --enable-shared --enable-load-relative  --enable-multiarch

--disable-install-doc --disable-install-rdoc

Previously

CFLAGS==" -mtune=native -ftree-vectorize "

#7 - 04/27/2017 03:12 PM - martin_vahi (Martin Vahi)

- Status changed from Third Party's Issue to Closed

It seems that the problem was the CFLAGS value

-mtune=native

 which also caused the build of other applications to fail.

I'll try to report it to Raspbian.

I'm sorry for making this noise here.

#8 - 04/30/2017 01:10 PM - usa (Usaku NAKAMURA)

- Status changed from Closed to Third Party's Issue

Files

2017_04_26_BUG_Ruby_v_2_4_1_Fails_2_Compile_on_Raspberry_Pi_3.txt4.68 KB 04/26/2017 martin_vahi (Martin Vahi)

config.log 12.2 KB 04/26/2017 martin_vahi (Martin Vahi)

2017_04_26_BUG_Ruby_v_2_4_1_Fails_2_Compile_on_Raspberry_Pi_3_LLVM_session.txt39.7 KB 04/26/2017 martin_vahi (Martin Vahi)

config.log.with_LLVM.txt 1.1 MB 04/26/2017 martin_vahi (Martin Vahi)
